Package Details: nftables-geoip-db 2.1-9

Git Clone URL: https://aur.archlinux.org/nftables-geoip-db.git (read-only, click to copy)
Package Base: nftables-geoip-db
Description: GeoIP Database for nftables
Upstream URL: https://db-ip.com/db/download/ip-to-country-lite
Keywords: db-ip geoip geolite2 maxmind
Licenses: GPL, BSD
Submitter: amish
Maintainer: amish
Last Packager: amish
Votes: 2
Popularity: 0.003354
First Submitted: 2018-12-22 19:33
Last Updated: 2021-04-11 02:05

Pinned Comments

amish commented on 2020-03-14 09:43

Package now uses DB-IP GeoIP database. If you still want to use MaxMind GeoLite2 database then read PKGBUILD for details. (needs license key from MaxMind)

Latest Comments

amish commented on 2020-03-17 03:58

@risto3 - I have fixed it but normally you are supposed to remove src/ directory before (re-) building.

risto3 commented on 2020-03-16 18:14

latest problem with ln:

==> Starting prepare()...
ln: failed to create symbolic link 'dbip-country-lite.csv': File exists

risto3 commented on 2020-03-15 17:04

sorry, I didn't follow you initially... this time actually deleted xt_geoip_build from $SRCDEST and it built. xt_geoip_build clearly needs to be versioned! anyway, thanks for the tip.

amish commented on 2020-03-15 00:46

@risto3 .. you seem to have older xt_geoip_build file. Simply delete it and it will be re-downloaded

Also do vote for the package if you like it! Thanks!

risto3 commented on 2020-03-14 18:21

wishing to try DB-IP, I don't have the MaxMind license, builds bugs out with:

$ LANG=C makepkg
/home/richard/src/aur/nftables-geoip-db/PKGBUILD: line 15: geoip.license.key: No such file or directory
==> Making package: nftables-geoip-db 2.0-1 (Sat Mar 14 19:20:37 2020)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found dbip-country-lite.csv.gz
  -> Found xt_geoip_build
  -> Found xt_geoip_build.patch
  -> Found README
  -> Found mmcsv_geoip_build
==> Validating source files with sha256sums...
    dbip-country-lite.csv.gz ... Skipped
    xt_geoip_build ... FAILED
    xt_geoip_build.patch ... Passed
    README ... Passed
    mmcsv_geoip_build ... Passed
==> ERROR: One or more files did not pass the validity check!

amish commented on 2020-03-14 09:43

Package now uses DB-IP GeoIP database. If you still want to use MaxMind GeoLite2 database then read PKGBUILD for details. (needs license key from MaxMind)

amish commented on 2020-01-07 13:55

Quote from PKGBUILD:

#create a file named geoip.license.key which contains MaxMind License key in following format:
_maxmind_key=XXXX

Where XXXX is your GeoIP license key, which is available for free from Maxmind.

After that you can build the package normally.